[pkg-java] r14836 - trunk/xslthl/debian
Torsten Werner
twerner at alioth.debian.org
Sun Sep 11 19:53:56 UTC 2011
Author: twerner
Date: 2011-09-11 19:53:56 +0000 (Sun, 11 Sep 2011)
New Revision: 14836
Added:
trunk/xslthl/debian/orig-tar.sh
Log:
commit missing file
Added: trunk/xslthl/debian/orig-tar.sh
===================================================================
--- trunk/xslthl/debian/orig-tar.sh (rev 0)
+++ trunk/xslthl/debian/orig-tar.sh 2011-09-11 19:53:56 UTC (rev 14836)
@@ -0,0 +1,19 @@
+#!/bin/sh
+
+set -eu
+
+VERSION=$2
+TAR=../xslthl_$VERSION.orig.tar.gz
+DIR=xslthl-$VERSION
+TAG=$(echo "v$VERSION" | sed -re's,\.,_,g')
+
+svn export http://xslthl.svn.sourceforge.net/svnroot/xslthl/tags/${TAG} $DIR
+tar -c -z -f $TAR --exclude '*.jar' $DIR
+rm -rf $DIR ../$TAG
+
+# move to directory 'tarballs'
+if [ -r .svn/deb-layout ]; then
+ . .svn/deb-layout
+ mv $TAR $origDir
+ echo "moved $TAR to $origDir"
+fi
Property changes on: trunk/xslthl/debian/orig-tar.sh
___________________________________________________________________
Added: svn:executable
+ *
More information about the pkg-java-commits
mailing list